> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/operations-manager/get-triggers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get triggers GET https://example.itential.io/operations-manager/triggers Searches the Trigger collection. Reference: https://docs.itential.com/itential-cloud/api-reference/operations-manager/get-triggers ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Query parameters - `contains` (string, optional) — the value for a contains query. if the property with the key of containsField does not have a value that contains this string, then filter out the document - `containsField` (string, optional) — the field to run a contains query on - `equals` (string, optional) — the value for an equals query. if the property with the key of equalsField does not have a value that equals this string, then filter out the document - `equalsField` (string, optional) — the field to run an equals query on - `startsWith` (string, optional) — the value for a startsWith query. if the property with the key of startsWithField does not have a value that starts with this string, then filter out the document - `startsWithField` (string, optional) — the field to run a startsWith query on - `greaterThanField` (string, optional) — the field to run a greater than query on - `greaterThan` (string, optional) — the value to use for the greater than query. If the value is a valid date string, then it will be converted to a unix timestamp in milliseconds - `lessThanField` (string, optional) — the field to run a less than query on - `lessThan` (string, optional) — the value to use for the less than query. If the value is a valid date string, then it will be converted to a unix timestamp in milliseconds - `enabled` (boolean, optional) — if true, then only return trigger documents that are enabled - `actionId` (string, optional) — if provided, only return trigger documents with this action id - `limit` (integer, optional, default: 25) — Number of results to return. Used for pagination. - `skip` (integer, optional, default: 0) — Number of results to skip. Used for pagination. - `order` (enum, optional, default: 1) — The sort direction: 1 for ascending or -1 for descending. - Allowed values: `-1`, `1` - `sort` (enum, optional, default: name) — Field to sort by. Default is name. - Allowed values: `name` ## Response ### 200 The Triggers that matched the search query. - `message` (string, required) — A human-readable message summarizing the result of the operation - `data` (list of object or object or object or object, required) — Any successfully retrieved information related to the request. - Endpoint Trigger - `name` (string, required) — The name of the document - `description` (string, required) — The description of the document - `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not. - `actionType` (enum, required) — The type of component this Trigger will invoke. - Allowed values: `automations` - `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `lastExecuted` (integer, required, nullable) — A timestamp in milliseconds of the time this Trigger was last executed. - `createdBy` (string, required, nullable) - `created` (string, required) — An ISO 8601 date string - `lastUpdatedBy` (string, required, nullable) - `lastUpdated` (string, required) — An ISO 8601 date string - `type` (any, required) - `verb` (any, required) - `routeName` (string, required) — User defined route name. - `schema` (object, required, nullable) — POST body filter schema. - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `jst` (string, required, nullable) - `options` (object, optional) — Configuration options specific to this trigger. - `targetType` (enum, optional, nullable) - Allowed values: `instance`, `group` - `targetIdentifier` (string, optional, nullable) - `chooseTargetAtRuntime` (boolean, optional) - `actionId` (string, optional) — A 4-digit hexadecimal id - `migrationVersion` (integer, optional) — The current document version of this document. - EventSystem Trigger - `name` (string, required) — The name of the document - `description` (string, required) — The description of the document - `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not. - `actionType` (enum, required) — The type of component this Trigger will invoke. - Allowed values: `automations` - `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `lastExecuted` (integer, required, nullable) — A timestamp in milliseconds of the time this Trigger was last executed. - `type` (any, required) - `source` (string, required) — The source of the event. - `topic` (string, required) — The event topic. - `schema` (object, required, nullable) — Event payload filter schema. - `legacyWrapper` (boolean, required) — A boolean determining whether payload data is wrapped in a 'payload' property - `createdBy` (string, required, nullable) - `created` (string, required) — An ISO 8601 date string - `lastUpdatedBy` (string, required, nullable) - `lastUpdated` (string, required) — An ISO 8601 date string - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `jst` (string, required, nullable) - `options` (object, optional) — Configuration options specific to this trigger. - `targetType` (enum, optional, nullable) - Allowed values: `instance`, `group` - `targetIdentifier` (string, optional, nullable) - `chooseTargetAtRuntime` (boolean, optional) - `actionId` (string, optional) — A 4-digit hexadecimal id - `migrationVersion` (integer, optional) — The current document version of this document. - Manual Trigger - `name` (string, required) — The name of the document - `description` (string, required) — The description of the document - `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not. - `actionType` (enum, required) — The type of component this Trigger will invoke. - Allowed values: `automations` - `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `lastExecuted` (integer, required, nullable) — A timestamp in milliseconds of the time this Trigger was last executed. - `createdBy` (string, required, nullable) - `created` (string, required) — An ISO 8601 date string - `lastUpdatedBy` (string, required, nullable) - `lastUpdated` (string, required) — An ISO 8601 date string - `type` (any, required) - `formData` (object, required, nullable) — A JSON object created by filling out the associated JSON Form. - `legacyWrapper` (boolean, required) — A boolean determining whether form data is wrapped in a 'formData' property - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `formId` (string, required, nullable) — The id of a JSON Form used to provide inputs to a job from this trigger. - `options` (object, optional) — Configuration options specific to this trigger. - `targetType` (enum, optional, nullable) - Allowed values: `instance`, `group` - `targetIdentifier` (string, optional, nullable) - `chooseTargetAtRuntime` (boolean, optional) - `actionId` (string, optional) — A 4-digit hexadecimal id - `migrationVersion` (integer, optional) — The current document version of this document. - `formSchemaHash` (string, optional, nullable) - Schedule Trigger - `name` (string, required) — The name of the document - `description` (string, required) — The description of the document - `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not. - `actionType` (enum, required) — The type of component this Trigger will invoke. - Allowed values: `automations` - `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `lastExecuted` (integer, required, nullable) — A timestamp in milliseconds of the time this Trigger was last executed. - `createdBy` (string, required, nullable) - `created` (string, required) — An ISO 8601 date string - `lastUpdatedBy` (string, required, nullable) - `lastUpdated` (string, required) — An ISO 8601 date string - `type` (any, required) - `formData` (object, required, nullable) — A JSON object created by filling out the associated JSON Form. - `legacyWrapper` (boolean, required) — A boolean determining whether form data is wrapped in a 'formData' property - `firstRunAt` (integer, required) — A timestamp in milliseconds for the first scheduled run of this Trigger. - `nextRunAt` (integer, required, nullable) — A timestamp in milliseconds for the next scheduled run of this Trigger. - `processMissedRuns` (enum, required) — Describes how any missed job runs should be processed. A missed run is a job that was supposed to be ran at least 'n' seconds ago, but did not due to some issue with IAP (busy process, IAP was down, etc). 'none' means do not run any missed jobs. 'last' means only run the last missed job. - Allowed values: `none`, `last` - `locked` (boolean, required) — backend use only - `repeatInterval` (integer, required, nullable) — The interval between repeated jobs in milliseconds. This is calculated from repeatUnit and repeatFrequency. - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `formId` (string, required, nullable) — The id of a JSON Form used to provide inputs to a job from this trigger. - `options` (object, optional) — Configuration options specific to this trigger. - `targetType` (enum, optional, nullable) - Allowed values: `instance`, `group` - `targetIdentifier` (string, optional, nullable) - `chooseTargetAtRuntime` (boolean, optional) - `actionId` (string, optional) — A 4-digit hexadecimal id - `migrationVersion` (integer, optional) — The current document version of this document. - `formSchemaHash` (string, optional, nullable) - `lastIntervalStart` (integer, optional, nullable) — A millisecond resolution timestamp denoting when the current run interval started. This is calculated using repeatEnd. - `waitFlag` (boolean, optional) — Deprecated, backend use only - `repeat` (object or object or object, optional, nullable) — A repetition pattern expressed as a tree of parent and child interval definitions. - object - `type` (enum, optional) - Allowed values: `repeating`, `terminating` - `duration` (object or object or double, optional) - object - `unit` (any, optional) - `quantity` (double, optional) - object - `unit` (enum, optional) - `quantity` (integer, optional) - `action` (enum, optional) - Allowed values: `execute`, `wait` - `components` (list of any, optional) - object - `components` (list of any, required) - `type` (any, optional) - `start` (string, optional) — An ISO 8601 date string - `end` (string, optional) — An ISO 8601 date string - object - `type` (any, optional) - `duration` (object or object or double, optional) - object - `unit` (any, optional) - `quantity` (double, optional) - object - `unit` (enum, optional) - `quantity` (integer, optional) - `count` (integer, optional) - `action` (enum, optional) - Allowed values: `execute`, `wait` - `components` (list of any, optional) - `repeatUnit` (any, optional) - `repeatFrequency` (any, optional) - `metadata` (map from string to any, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation. ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "message": "Successfully created the requested item", "data": [ { "_id": "string", "actionId": "string", "actionType": "automations", "created": "2024-01-15T09:30:00Z", "createdBy": "admin@pronghorn", "description": "Turn up the port", "enabled": true, "jst": "string", "lastExecuted": 1, "lastUpdated": "2024-01-15T09:30:00Z", "lastUpdatedBy": "admin@pronghorn", "migrationVersion": 1, "name": "Cisco IOS upgrade", "options": { "actionId": "0a2f", "chooseTargetAtRuntime": true, "targetIdentifier": "string", "targetType": "instance" }, "routeName": "runSoftwareUpgrade", "schema": {}, "type": null, "verb": null } ], "metadata": {} } ``` **SDK Code** ```python import requests url = "https://example.itential.io/operations-manager/triggers" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/operations-manager/triggers'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/operations-manager/triggers" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/operations-manager/triggers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/operations-manager/triggers") .asString(); ``` ```php request('GET', 'https://example.itential.io/operations-manager/triggers'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/operations-manager/triggers"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/triggers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```